function y=champuls(t,u)

% Fonction calculant le chmp puls estm, pour simuler l'appreillage
% de mesure du champ avec arrt des bobines et utilisation d'un champ
% mmoris ainsi que sa drive

% Variables d'entre
%	t le temps de la simulation
%	u le vecteur colonne des 3 composantes du champ en axes satellite

Ta=0;                 % temps d'arrt des bobines
Tu=10;                % Temps utile de fonctionnement avec champ mmoris

T=Ta+Tu;              % Priode du pulse

n=fix(t/T);           % Nime priode

t0=n*T+Ta/2;          % Centre du crneau de mesure


if t==t0              % Slection de la valeur champ mesure
 
 Bmesure=u; 

else

    Bmesure=[0 0 0]';          

end




save B_MESURE n Bmesure;

end
   