function y=laurens1(u);

global global KPD_laurens FPD_laurens mom_max_bobine cpl_max_roue

% *****************************************************************************************

% Ce qu'il faut savoir c'est que le calcul des moments magntiques et ou( du couple roue )
% se font avec les donnes mesures; mais que le couple rel, sera bien sr calcul
% avec le champ rel tel qu'il existe  l'instant t


% *****************************************************************************************

% Le vecteur entre est  12 composantes:

	% u(1:3) est le vecteur drive pulse du champ magntique B' ( B'x B'y B'z ) en axes satellite
	% u(4:6) est le vecteur champ B puls mesur (Bx By Bz en axes satellite )
	% u(7:9) en colonne est le champ magntique de consigne
	% u(10:12) en colonne est la drive temporelle du champ de consigne ( B'c )

% La fonction retourne les moments magntiques mx,my et le couple roue Cr

% Sparation des vecteurs

B_prime(1:3)=u(1:3);   % en colonne drive pulse

B(1:3)=u(4:6);         % en colonne champ magntique puls

Bc=u(7:9);             % en colonne champ magntique de consigne, calcul avec le champ mesur puls

Bc_prime=u(10:12);     % en colonne drive du champ de consigne


% ********  CALCUL DU COUPLE MAGNETIQUE INITIAL  ****************

NB=norm(B)^2;


M_init=(KPD_laurens*(Bc-B')+FPD_laurens*(Bc_prime-B_prime'))/NB;

% ********  CALCUL DU MOMENT MAGNETIQUE FINAL ECONOMIQUE  ****************


M=M_init-(M_init'*B')*B'/NB;        % fORMULE DE LAURENS0.M


% ***********CALCUL DES MOMENTS MAGNETIQUES ****************

Mxx=M(1);

Myy=M(2);

Mzz=M(3);

% ********** CALCUL DU COUPLE MAGNETIQUE RESULTANT *************


Cx1=Myy*B(3)-Mzz*B(2);
Cy1=Mzz*B(1)-Mxx*B(3);
Cz1=Mxx*B(2)-Myy*B(1);

% Sortie du couple magntique  en colonne

y=[Cx1 Cy1 Cz1]';


end

%  **** Fin programme  ****












 